package Visual_DVM_2021.UI.Main;
import Common.Current;
import SapforTestingSystem.SapforTask.SapforTask;
//упразднить.
public class SapforTasksComparisonForm extends TasksComparisonForm<SapforTask> {
    public SapforTasksComparisonForm(ComparisonForm<SapforTask> slave_in) {
        super(SapforTask.class, slave_in);
    }
    @Override
    protected Current getCurrentObjectName() {
        return Current.SapforTask;
    }
    @Override
    protected String getTextByTab() {

        return "";
    }
    @Override
    protected TasksComparisonState[] getForbiddenStates() {
        return new TasksComparisonState[]{
                TasksComparisonState.Sts
        };
    }
}
